Get a Virtual Machine by RID
const url = 'https://sylve.lan:8181/api/vm/1';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://sylve.lan:8181/api/vm/1 \ --header 'Authorization: <Authorization>'Retrieve a virtual machine by its resource ID (RID)
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Virtual Machine RID
Responses
Section titled “Responses”Success
object
object
object
object
object
object
IP, CIDR, port, country code, FQDN, etc.
“”, “dhcp” for now
object
Deprecated mirror for resolved IP entries
“Host”, “Mac”, “Network”, “Port”, “Country”, “List”, “FQDN”, “DUID”
object
object
object
object
IP, CIDR, port, country code, FQDN, etc.
“”, “dhcp” for now
object
Deprecated mirror for resolved IP entries
“Host”, “Mac”, “Network”, “Port”, “Country”, “List”, “FQDN”, “DUID”
object
object
IP, CIDR, port, country code, FQDN, etc.
“”, “dhcp” for now
object
Deprecated mirror for resolved IP entries
“Host”, “Mac”, “Network”, “Port”, “Country”, “List”, “FQDN”, “DUID”
object
object
IP, CIDR, port, country code, FQDN, etc.
“”, “dhcp” for now
object
Deprecated mirror for resolved IP entries
“Host”, “Mac”, “Network”, “Port”, “Country”, “List”, “FQDN”, “DUID”
DefaultRoute owns the IPv4 default route for static or DHCP addressing.
DefaultRoute6 owns the IPv6 default route for static or SLAAC addressing.
DisableBridgeOffloads keeps FreeBSD from changing bridge-member capabilities as transient tap and epair interfaces come and go. Sorts flapping issues (Please tell @hayzam if you faced flapping before/after enabling this option).
object
object
IP, CIDR, port, country code, FQDN, etc.
“”, “dhcp” for now
object
Deprecated mirror for resolved IP entries
“Host”, “Mac”, “Network”, “Port”, “Country”, “List”, “FQDN”, “DUID”
object
object
IP, CIDR, port, country code, FQDN, etc.
“”, “dhcp” for now
object
Deprecated mirror for resolved IP entries
“Host”, “Mac”, “Network”, “Port”, “Country”, “List”, “FQDN”, “DUID”
object
object
IP, CIDR, port, country code, FQDN, etc.
“”, “dhcp” for now
object
Deprecated mirror for resolved IP entries
“Host”, “Mac”, “Network”, “Port”, “Country”, “List”, “FQDN”, “DUID”
object
object
IP, CIDR, port, country code, FQDN, etc.
“”, “dhcp” for now
object
Deprecated mirror for resolved IP entries
“Host”, “Mac”, “Network”, “Port”, “Country”, “List”, “FQDN”, “DUID”
object
object
object
object
Example
{ "data": { "bootRom": "uefi", "state": 0, "storages": [ { "emulation": "virtio-blk", "type": "raw" } ], "timeOffset": "utc" }}Bad Request
object
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Unauthorized
object
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Not Found
object
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Internal Server Error
object
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}